Subject: Re: [PATCH v3] sequencer: advise if skipping cherry-picked commit

From: Junio C Hamano <[email-masked]>
Date: Mon, 30 Aug 2021 16:40:06 -0700

Junio C Hamano <[email-masked]> writes:

> Josh Steadmon <[email-masked]> writes:
>
>> Silently skipping commits when rebasing with --no-reapply-cherry-picks
>> (currently the default behavior) can cause user confusion. Issue
>> warnings when this happens, as well as advice on how to preserve the
>> skipped commits.
>>
>> These warnings and advice are displayed only when using the (default)
>> "merge" rebase backend.
>>
>> Update the git-rebase docs to mention the warnings and advice.
>>
>> Signed-off-by: Josh Steadmon <[email-masked]>
>> ---
>
> Looks sensible.
>
> Will queue.  Let's merge it down to 'next' in a few days and leave
> the follow-on work to later.

... except for that the advice_skipped_cherry_picks variable should
either be file-scope static or declared in advice.h; otherwise "make
sparse" would fail.

It only matters until ab/retire-advice-config topic graduates, so
I'll see if I can apply a little tweak locally and make things work.

Thanks.